cdac.medinfo.sdk.hl7282.baselibs

## Class SCV

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType
  - - cdac.medinfo.sdk.hl7282.baselibs.SCV

- All Implemented Interfaces:
    IDataType

      public class SCV
      extends CompositeDataType

  SCV - Scheduling class value pair

  This data type is used to communicate parameters and preferences to the filler application regarding the selection of an appropriate time slot, resource, location, or filler override criterion for an appointment.

  Represents an HL7 SCV data type. This data type has the following attributes:

  1. Parameter Class (CWE)Optional
  2. Parameter Value (ST)Optional

  This class provides accessors & mutators for the elements mentioned above. This class override the equal method, to check whether some other object is "equal to" this one.

  User can also create Data Type through `DataElementFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SCV()` Default Constructor for SCV
    `SCV(int iComponentType, IDataTypeMap objIDataTypeMap)` Constructor for SCV class which takes two arguments and sets the value in the respective member variable.
    `SCV(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, IDataTypeMap objIDataTypeMap)` Constructor for SCV class which takes five arguments and sets the value in the respective member variable.
    `SCV(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, int ITableNo, IDataTypeMap objIDataTypeMap)` Constructor for SCV class which takes six arguments and sets the value in the respective member variable.
    `SCV(int iMinLength, int iMaxLength, java.lang.String strCLength, int iComponentType)` Constructor for SCV class which takes four arguments and sets the value in the respective member variable.
    `SCV(int iMinLength, int iMaxLength, java.lang.String strCLength, int iTableNo, int iComponentType)` Constructor for SCV class which takes five arguments and sets the value in the respective member variable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object objObject)` This method checks the equality of Object.
    `CWE` | `getParameterClass()` Returns Parameter Class
    `ST` | `getParameterValue()` Returns Parameter Value
    `void` | `setParameterClass(CWE objParameterClass)` Sets the ParameterClass.
    `void` | `setParameterValue(ST objST)` Sets the ParameterValue.
    `void` | `setParameterValue(java.lang.String strParameterValue)` Sets the ParameterValue.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType

      `copy, dumpDataType, getAttributes, getDataTypeName, getLength, getValue, isPrimitive, read, setValue, validate, write, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SCV

          public SCV()

      Default Constructor for SCV

    - #### SCV

          public SCV(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for SCV class which takes four arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### SCV

          public SCV(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iTableNo,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for SCV class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### SCV

          public SCV(int iComponentType,
             IDataTypeMap objIDataTypeMap)

      Constructor for SCV class which takes two arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### SCV

          public SCV(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             IDataTypeMap objIDataTypeMap)

      Constructor for SCV class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### SCV

          public SCV(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int ITableNo,
             IDataTypeMap objIDataTypeMap)

      Constructor for SCV class which takes six arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

  - ### Method Detail

    - #### setParameterClass

          public void setParameterClass(CWE objParameterClass)

      Sets the ParameterClass.
      Parameters:
        `objParameterClass` - identifies the parameter or preference being passed to the filler application.

    - #### setParameterValue

          public void setParameterValue(java.lang.String strParameterValue)

      Sets the ParameterValue.
      Parameters:
        `strParameterValue` - actual data value for that parameter.

    - #### setParameterValue

          public void setParameterValue(ST objST)

      Sets the ParameterValue.
      Parameters:
        `objST` - actual data value for that parameter.

    - #### getParameterClass

          public CWE getParameterClass()

      Returns Parameter Class
      Returns:
        CWE - data type.

    - #### getParameterValue

          public ST getParameterValue()

      Returns Parameter Value
      Returns:
        ST - data type.

    - #### equals

          public boolean equals(java.lang.Object objObject)

      This method checks the equality of Object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `objObject` - object of Object class.
      Returns:
        boolean - shows success or failure of the comparison.